Get ampq subscription
curl --request GET \
--url https://api.gcore.com/cloud/v1/user_actions/amqp_subscriptions/{subscription_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v1/user_actions/amqp_subscriptions/{subscription_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/user_actions/amqp_subscriptions/{subscription_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connection_string": "amqps://guest:guest@192.168.123.20:5671/user_action_events",
"exchange": null,
"id": 33,
"receive_child_client_events": false,
"routing_key": "foo"
}User Actions
Get ampq subscription
GET
/
cloud
/
v1
/
user_actions
/
amqp_subscriptions
/
{subscription_id}
Get ampq subscription
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Subscription ID
Example:
17
Response
200 - application/json
OK
Connection string of the following structure "scheme://username:password@host:port/virtual_host"
Example:
"amqps://guest:guest@192.168.123.20:5671/user_action_events"
Exchange name
Example:
null
Subscription ID
Example:
33
Set to true if you would like to receive user action logs of all clients with the reseller_id matching the current client_id. Defaults to false
Example:
false
Routing key
Example:
"foo"
Was this page helpful?